Omni_auth with Facebook

Hi,

I’ve implemented the sample app with omni_auth(‘0.2.6’). I’m using
rails 2.3.11 with ruby 1.8.7. I tried to connect with Facebook but
getting oauth error. I tested it with twitter & google plus account.
Both are working fine but the FB connects is not working yet. Can you
please help me out?.

Rosy Catz wrote in post #1123747:

Hi,

I’ve implemented the sample app with omni_auth(‘0.2.6’). I’m using
rails 2.3.11 with ruby 1.8.7. I tried to connect with Facebook but
getting oauth error. I tested it with twitter & google plus account.
Both are working fine but the FB connects is not working yet. Can you
please help me out?.

AFAIK Facebook is currently using OAuth 2. Since you’re using such an
old version of Rails and OmniAuth are you sure the are still compatible
with Facebook?

I use OmniAuth myself, but not with Facebook, and I use the current
version of OmniAuth on Rails 4.0.

Well Thanks for your reply. Atually i want to integrate this omni-auth
with my existing rails 2.3 project so only tried with sample. The file
omniauth.rb under initializers is not accepting getting issue for
“ActionController::Dispatcher”. Can you please
help me what i missed?.

Robert W. wrote in post #1123794:

Rosy Catz wrote in post #1123747:

Hi,

I’ve implemented the sample app with omni_auth(‘0.2.6’). I’m using
rails 2.3.11 with ruby 1.8.7. I tried to connect with Facebook but
getting oauth error. I tested it with twitter & google plus account.
Both are working fine but the FB connects is not working yet. Can you
please help me out?.

AFAIK Facebook is currently using OAuth 2. Since you’re using such an
old version of Rails and OmniAuth are you sure the are still compatible
with Facebook?

I use OmniAuth myself, but not with Facebook, and I use the current
version of OmniAuth on Rails 4.0.

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs